<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlutil.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlutil</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Parsers.html" >Parsers</a>.<a href="../IDL.html" >IDL</a>.idlutil

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="_valid_chars">_valid_chars</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line132" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="_valid_unichars">_valid_unichars</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line135" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlutil.html#slashName" >slashName</a></span>(<span class="variable">scopedName</span>, <span class="variable">our_scope</span> = <span class="value">[]</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.slashName" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line85" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">slashName&#40;list&#44; [list]&#41; -&gt; string

Return a scoped name given as a list of strings as a single string
with the components separated by '/' characters.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlutil.html#dotName" >dotName</a></span>(<span class="variable">scopedName</span>, <span class="variable">our_scope</span> = <span class="value">[]</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.dotName" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line95" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">dotName&#40;list&#44; [list]&#41; -&gt; string

Return a scoped name given as a list of strings as a single string
with the components separated by '.' characters.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlutil.html#ccolonName" >ccolonName</a></span>(<span class="variable">scopedName</span>, <span class="variable">our_scope</span> = <span class="value">[]</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.ccolonName" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line105" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">ccolonName&#40;list&#44; [list]&#41; -&gt; string

Return a scoped name given as a list of strings as a single string
with the components separated by '::' strings.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlutil.html#pruneScope" >pruneScope</a></span>(<span class="variable">target_scope</span>, <span class="variable">our_scope</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.pruneScope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line115" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">pruneScope&#40;list A&#44; list B&#41; -&gt; list

Given two lists of strings &#40;scoped names&#41;&#44; return a copy of list A
with any prefix it shares with B removed.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlutil.html#escapifyString" >escapifyString</a></span>(<span class="variable">s</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.escapifyString" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line137" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">escapifyString&#40;string&#41; -&gt; string

Return the given string with any non-printing characters escaped.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlutil.html#escapifyWString" >escapifyWString</a></span>(<span class="variable">l</span>, <span class="variable">escchar</span> = <span class="value">&quot;u&quot;</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.escapifyWString" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line150" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">escapifyWString&#40;int list&#41; -&gt; string

Take a list of integers representing Unicode characters and return an
ASCII string with all characters outside that range replaced with \u
escapes.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlutil.html#reprFloat" >reprFloat</a></span>(<span class="variable">f</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.reprFloat" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line168" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">reprFloat&#40;float&#41; -&gt; string

Return the string representation of an IDL float type &#40;float&#44; double&#44;
long double&#41;&#44; with enough precision to completely reconstruct the bit
pattern.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="idlutil.html#relativeScope" >relativeScope</a></span>(<span class="variable">fromScope</span>, <span class="variable">destScope</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.relativeScope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line182" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">relativeScope&#40;fromScope&#44; destScope&#41; -&gt; list

Given two globally-scoped names&#44; return a minimal scoped name list
which identifies the destination scope&#44; without clashing with another
identifier.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="slashName">slashName</a>(<span class="variable">scopedName</span>, <span class="variable">our_scope</span> = <span class="value">[]</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.slashName" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line85" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">slashName&#40;list&#44; [list]&#41; -&gt; string

Return a scoped name given as a list of strings as a single string
with the components separated by '/' characters. If a second list is
given&#44; remove a common prefix using pruneScope&#40;&#41;.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="dotName">dotName</a>(<span class="variable">scopedName</span>, <span class="variable">our_scope</span> = <span class="value">[]</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.dotName" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line95" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">dotName&#40;list&#44; [list]&#41; -&gt; string

Return a scoped name given as a list of strings as a single string
with the components separated by '.' characters. If a second list is
given&#44; remove a common prefix using pruneScope&#40;&#41;.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="ccolonName">ccolonName</a>(<span class="variable">scopedName</span>, <span class="variable">our_scope</span> = <span class="value">[]</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.ccolonName" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line105" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">ccolonName&#40;list&#44; [list]&#41; -&gt; string

Return a scoped name given as a list of strings as a single string
with the components separated by '::' strings. If a second list is
given&#44; remove a common prefix using pruneScope&#40;&#41;.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pruneScope">pruneScope</a>(<span class="variable">target_scope</span>, <span class="variable">our_scope</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.pruneScope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line115" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">pruneScope&#40;list A&#44; list B&#41; -&gt; list

Given two lists of strings &#40;scoped names&#41;&#44; return a copy of list A
with any prefix it shares with B removed.

  e.g. pruneScope&#40;['A'&#44; 'B'&#44; 'C'&#44; 'D']&#44; ['A'&#44; 'B'&#44; 'D']&#41; -&gt; ['C'&#44; 'D']</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="escapifyString">escapifyString</a>(<span class="variable">s</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.escapifyString" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line137" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">escapifyString&#40;string&#41; -&gt; string

Return the given string with any non-printing characters escaped.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="escapifyWString">escapifyWString</a>(<span class="variable">l</span>, <span class="variable">escchar</span> = <span class="value">&quot;u&quot;</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.escapifyWString" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line150" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">escapifyWString&#40;int list&#41; -&gt; string

Take a list of integers representing Unicode characters and return an
ASCII string with all characters outside that range replaced with \u
escapes.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="reprFloat">reprFloat</a>(<span class="variable">f</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.reprFloat" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line168" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">reprFloat&#40;float&#41; -&gt; string

Return the string representation of an IDL float type &#40;float&#44; double&#44;
long double&#41;&#44; with enough precision to completely reconstruct the bit
pattern.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="relativeScope">relativeScope</a>(<span class="variable">fromScope</span>, <span class="variable">destScope</span>)  </div> <div class="xref"><a href="../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlutil.relativeScope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/IDL/idlutil.py.html#line182" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">relativeScope&#40;fromScope&#44; destScope&#41; -&gt; list

Given two globally-scoped names&#44; return a minimal scoped name list
which identifies the destination scope&#44; without clashing with another
identifier. For example&#44; given IDL:

  module M {
    typedef short A;
    typedef long  B;

    module N {
      typedef string B;
      interface I {
        void op&#40;in ::M::A x&#44; in ::M::B y&#41;;
      };
    };
  };

relativeScope&#40;[&quot;M&quot;&#44; &quot;N&quot;&#44; &quot;I&quot;]&#44; [&quot;M&quot;&#44; &quot;A&quot;]&#41; -&gt; [&quot;A&quot;]
relativeScope&#40;[&quot;M&quot;&#44; &quot;N&quot;&#44; &quot;I&quot;]&#44; [&quot;M&quot;&#44; &quot;B&quot;]&#41; -&gt; [&quot;M&quot;&#44; &quot;B&quot;]

If the only valid result is a globally-scoped name&#44; the result list is
prefixed with None:

  module O {
    typedef short C;
  };
  module P {
    module O {
      interface J {
        void op&#40;in ::O::C z&#41;;
      };
    };
  };

relativeScope&#40;[&quot;P&quot;&#44; &quot;O&quot;&#44; &quot;J&quot;]&#44; [&quot;O&quot;&#44; &quot;C&quot;]&#41; -&gt; [None&#44; &quot;O&quot;&#44; &quot;C&quot;]

If either scoped name does not exist&#44; returns None.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
